trav_in_edge {DiagrammeR} | R Documentation

## Traverse from one or more selected nodes onto adjacent, inward edges

### Description

From a graph object of class `dgr_graph` move to incoming edges from a selection of one or more selected nodes, thereby creating a selection of edges. An optional filter by edge attribute can limit the set of edges traversed to.

### Usage

    trav_in_edge(graph, edge_attr = NULL, match = NULL)

### Arguments

`graph` | a graph object of class `dgr_graph` that is created using `create_graph`.
`edge_attr` | an optional character vector of edge attribute values for filtering the node ID values returned.
`match` | an option to provide a logical expression with a comparison operator (`>`, `<`, `==`, or `!=`) followed by a number for numerical filtering, or, a character string for filtering the edges returned through string matching.

### Value

a graph object of class `dgr_graph`.

[Package DiagrammeR version 0.8.2 Index]